<?php

namespace Tobuli\Importers\Task;

use Tobuli\Importers\ImportManager;

class TaskImportManager extends ImportManager
{
    protected function getReadersList()
    {
        return [
            'xls' => Readers\TaskXlsReader::class,
            'xlsx' => Readers\TaskXlsReader::class,
            'csv' => Readers\TaskCsvReader::class,
        ];
    }

    protected function getImporterClass()
    {
        return TaskImporter::class;
    }
}
